Bug 478404 - Installing Fedora10 - first boot fails due to a previously encrypted /home partition
Installing Fedora10 - first boot fails due to a previously encrypted /home pa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 11:19 EST by Callum Wilson
Modified: 2009-06-18 14:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Callum Wilson 2008-12-29 11:19:36 EST
Description of problem:
System was previously installed with an up to date Fedora 9.  It had an encrypted /home partition.  Installing Fedora10 from the boot.iso (with online repos) worked fine and I was prompted for the password for sda5 (/home) during the install process - note that I chose to "install" rather than "upgrade".  I chose to format all the partitions except for the encrypted /home (sda5).

The system failed on the first boot.
****
fsck.ext3: Unable to resolve 'UUID=' xxxx ' [FAILED]
*** An error occured during the file system check.
*** Dropping you to a shell; the system will reboot
*** when you leave the shell
*** Warning -- SELinux is active
*** Disabling security enforcement for system recovery
*** run setenforce 1 to reenable
*****

I used the rescue disk to look at the settings and checked the UUID in /etc/crypttab matched that in /dev/mapper - which it did.  Actually, when I used the rescue disk - it also asked for the password for the encrypted partition and  the data was fine in /mnt/sysimage/home/.


Version-Release number of selected component (if applicable):
Fedora 10

How reproducible:
Every time.  
1. create a fedora 9 installation with a encrypted /home partition
2. try an installation, retaining the encrypted /home partition either using local media (dvd) or the boot.iso with online repos
3. get to first boot
4. error.
  
Actual results:
System drops into maintenance root prompt (after entering root passwd).

Expected results:
I would have expected that the first boot (and subsequent boots) would simply prompt the user for the partition luks password and then get on with it.

Additional info:
I'm not sure this is an anaconda fault or what.  i can't find any component relating to firstboot.
Comment 1 Chris Lumens 2009-01-05 11:06:00 EST
Please attach /var/log/anaconda.log from your installed system to this bug report.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.